aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorShenghou Ma <minux.ma@gmail.com>2012-03-08 06:23:56 +0800
committerShenghou Ma <minux.ma@gmail.com>2012-03-08 06:23:56 +0800
commit90010f8f6351256113368130a4040da78e1fe401 (patch)
tree6221810921ec5c8b062875674447aec881af81c2 /src/run.bash
parent5c4d6ebb118bc541647b9b15af5a19502570d0dd (diff)
downloadgo-90010f8f6351256113368130a4040da78e1fe401.tar.xz
build: re-enable some broken tests in run.bash
Updates #2982. R=rsc, rsc CC=golang-dev https://golang.org/cl/5759064
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash29
1 files changed, 9 insertions, 20 deletions
diff --git a/src/run.bash b/src/run.bash
index b5ffaa9974..1c73e131d3 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -39,8 +39,6 @@ xcd() {
builtin cd "$GOROOT"/src/$1
}
-BROKEN=true
-
[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
(xcd ../misc/cgo/stdio
@@ -70,33 +68,24 @@ $BROKEN ||
time ./run
) || exit $?
-$BROKEN ||
[ "$GOARCH" == arm ] || # uses network, fails under QEMU
-(xcd ../doc/codelab/wiki
-"$GOMAKE" clean
-"$GOMAKE"
-"$GOMAKE" test
+(xcd ../doc/articles/wiki
+make clean
+./test.sh
) || exit $?
-$BROKEN ||
-for i in ../misc/dashboard/builder ../misc/goplay
-do
- (xcd $i
- "$GOMAKE" clean
- "$GOMAKE"
- ) || exit $?
-done
+echo
+echo '#' ../misc/dashboard/builder ../misc/goplay
+go build ../misc/dashboard/builder ../misc/goplay || exit $?
-$BROKEN ||
[ "$GOARCH" == arm ] ||
(xcd ../test/bench/shootout
./timing.sh -test
) || exit $?
-$BROKEN ||
-(xcd ../test/bench/go1
-"$GOMAKE" test
-) || exit $?
+echo
+echo '#' ../test/bench/go1
+go test ../test/bench/go1 || exit $?
(xcd ../test
time go run run.go